package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag785;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT785Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag20Creator extends AbsTagCreate {

     private MT785Creator mt785Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt785Creator= (MT785Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt785Creator.getUndertakingNumber();
        mt785Creator.set("20", tag20Value);
    }
}
